Bug 1997 - libretro package needed and modularized
: libretro package needed and modularized
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Contributed Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-07 17:31 MSD by Zombie Ryushu
Modified: 2015-04-15 19:56 MSD (History)
2 users (show)

See Also:
RPM Package: libretro
ISO-related:
Bad POT generating:
Upstream:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Zombie Ryushu 2013-05-07 17:31:00 MSD
I request that a modular libretro package be produced based on the Open Mandriva libretro package. The main difference however, is I'd prefer it be modularized so that individual libretro modules can be installed and replaced at will. The OpenMandriva 2013 Package does not permit this.
Comment 1 Andrey Bondrov 2013-06-09 18:32:16 MSD
In progress. I'm not sure yet if it can be built for Marathon, but for Cooker & ROSA 2012.1 new package is coming soon. It will be modularized and will get more emulator cores. Currently I'm working on it.
Comment 2 Zombie Ryushu 2013-06-09 19:28:39 MSD
I have already built the existing one for Marathon.
Comment 3 Andrey Bondrov 2013-06-10 19:57:44 MSD
libretro 20130608-1 updated package is published for Cooker, Fresh & Marathon.

Full set of produced packages:

libretro-bnes: bNES core for libretro (NES)
libretro-bsnes-accuracy: bSNES core for libretro with accuracy optimization (SNES)
libretro-bsnes-balanced: bSNES core for libretro with balanced optimization (SNES)
libretro-bsnes-performance: bSNES core for libretro with performance optimization (SNES)
libretro-desmume: Desmume core for libretro (NDS)
libretro-dosbox: DOSBox core for libretro (DOS)
libretro-fba: Final Burn Alpha core for libretro (arcade)
libretro-fceumm: FCE Ultra mappers modified core for libretro (NES)
libretro-gambatte: Gambatte core for libretro (GBC)
libretro-genesis-plus-gx: Genesis Plus GX core for libretro (SMD etc)
libretro-mednafen-gba: Mednafen Game Boy Advance core for libretro (GBA)
libretro-mednafen-ngp: Mednafen Neo Geo Pocket core for libretro (NGP)
libretro-mednafen-pce: Mednafen PC Engine core for libretro (NGP)
libretro-mednafen-psx: Mednafen Sony Playstation 1 core for libretro (PSX)
libretro-mednafen-snes: Mednafen Super Nintendo core for libretro (SNES)
libretro-mednafen-vb: Mednafen Virtual Boy core for libretro
libretro-mednafen-wswan: Mednafen WonderSwan core for libretro
libretro-meteor: Meteor core for libretro (GBA)
libretro-nestopia: Nestopia core for libretro (NES)
libretro-nxengine: NXEngine core for libretro (Cave Story)
libretro-pcsx-rearmed: PCSX-ReARMed core for libretro (PSX)
libretro-prboom: PrBoom core for libretro (Doom)
libretro-quicknes: QuickNES core for libretro (NES)
libretro-scummvm: ScummVM core for libretro (DOS etc)
libretro-snes9x: SNES9x core for libretro (SNES)
libretro-snes9x-next: SNES9x Next core for libretro (SNES)
libretro-stella: Stella core for libretro (Atari 2600)
libretro-tyrquake: Tyr-Quake core for libretro (Quake)
libretro-vba-next: VBA Next core for libretro (GBA)
Comment 4 Zombie Ryushu 2013-06-11 09:54:23 MSD
(II found a few missing things and bugs:

libretro-snes9x-next crashes on startup. (certain games won't run with any other core) I recompiled the latest git of this module alone, and it was fine.

missing cores:
atari800
hatari
openmsx
Comment 5 Andrey Bondrov 2013-06-11 10:07:26 MSD
(In reply to comment #4)
> (II found a few missing things and bugs:
> 
> libretro-snes9x-next crashes on startup. (certain games won't run with any
> other core) I recompiled the latest git of this module alone, and it was
> fine.

Perhaps Marathon build was messed up by ABF :-/ 

Fresh build from the same source seems to work fine, see screenshot (snes9x-next core + waterpaint shader):
http://forum.rosalab.ru/download/file.php?id=1222&mode=view

> missing cores:
> atari800
> hatari
> openmsx

Also yabause, virtualjuguar and mame. They seem to be not really ready for daily use yet. I guess I'll try them next month.

BTW, RetroArch 0.9.9 package was built for Cooker & Fresh. Failed to build for Marathon because of ffmpeg API issues. You may want to get SRPM and build RetroArch 0.9.9 for yourself without ffmpeg support. Version 0.9.9 brings new built-in GUI so it's very useful update.
Comment 6 Zombie Ryushu 2013-06-11 10:34:22 MSD
(In reply to comment #5)
> (In reply to comment #4)
> > (II found a few missing things and bugs:
> > 
> > libretro-snes9x-next crashes on startup. (certain games won't run with any
> > other core) I recompiled the latest git of this module alone, and it was
> > fine.
> 
> Perhaps Marathon build was messed up by ABF :-/ 
> 
> Fresh build from the same source seems to work fine, see screenshot
> (snes9x-next core + waterpaint shader):
> http://forum.rosalab.ru/download/file.php?id=1222&mode=view
> 
> > missing cores:
> > atari800
> > hatari
> > openmsx
> 
> Also yabause, virtualjuguar and mame. They seem to be not really ready for
> daily use yet. I guess I'll try them next month.
> 
> BTW, RetroArch 0.9.9 package was built for Cooker & Fresh. Failed to build
> for Marathon because of ffmpeg API issues. You may want to get SRPM and
> build RetroArch 0.9.9 for yourself without ffmpeg support. Version 0.9.9
> brings new built-in GUI so it's very useful update.

--disable-ffmpeg

Use this Parameter on Marathon. It will work, because working is better than not having it.
Comment 7 Andrey Bondrov 2013-06-11 10:42:50 MSD
> --disable-ffmpeg
> 
> Use this Parameter on Marathon. It will work, because working is better than
> not having it.

Yes, I know. Just too busy today to dedicate time for this, overloaded with other updates (VLC, KDevelop etc). But I'll let you know when RetroArch 0.9.9 is built for Marathon's Contrib.
Comment 8 Andrey Bondrov 2013-06-11 17:32:25 MSD
(In reply to comment #6)
> > BTW, RetroArch 0.9.9 package was built for Cooker & Fresh. Failed to build
> > for Marathon because of ffmpeg API issues. You may want to get SRPM and
> > build RetroArch 0.9.9 for yourself without ffmpeg support. Version 0.9.9
> > brings new built-in GUI so it's very useful update.
> 
> --disable-ffmpeg
> 
> Use this Parameter on Marathon. It will work, because working is better than
> not having it.

RetroArch 0.9.9 is packaged for Marathon's Contrib now.
Comment 9 Andrey Bondrov 2013-06-11 17:41:14 MSD
BTW, you may be interested in Arcan frontend for libretro as well: http://arcanfe.wordpress.com/

But I'm really not sure if we need to have it as package in repositories. It requires way too much manual configuration (including manipulations with libretro core names) for every user. I don't see how to make it work "out of the box". But it's a good frontend for very advanced users.
Comment 10 Stanislav Fomin 2015-03-06 19:34:13 MSK
Need restesting before releasing Enterprise X2.
Comment 11 Andrey Bondrov 2015-03-06 22:17:44 MSK
(In reply to comment #10)
> Need restesting before releasing Enterprise X2.

This issue was resolved for rosa2012.1. So anything newer than that don't have it.
Comment 12 Zombie Ryushu 2015-03-06 23:48:43 MSK
(In reply to comment #11)
> (In reply to comment #10)
> > Need restesting before releasing Enterprise X2.
> 
> This issue was resolved for rosa2012.1. So anything newer than that don't
> have it.

While not exactly the same bug, the modules do still need to be "refreshed" as there have been many updates to the libretro Package. Applies for Rosa Fresh as well.
Comment 13 Denis Silakov 2015-04-14 17:50:33 MSD
Let's move out from "Enterprise" bugs. libretro is a contrib package.
Comment 14 Zombie Ryushu 2015-04-15 03:13:44 MSD
(In reply to comment #13)
> Let's move out from "Enterprise" bugs. libretro is a contrib package.

Agreed.  But this package still needs refreshing.
Comment 15 Andrey Bondrov 2015-04-15 03:21:57 MSD
(In reply to comment #14)
> (In reply to comment #13)
> > Let's move out from "Enterprise" bugs. libretro is a contrib package.
> 
> Agreed.  But this package still needs refreshing.

I'll try to update it today. I guess I should have time for it.
Comment 16 Zombie Ryushu 2015-04-15 03:44:46 MSD
(In reply to comment #15)
> (In reply to comment #14)
> > (In reply to comment #13)
> > > Let's move out from "Enterprise" bugs. libretro is a contrib package.
> > 
> > Agreed.  But this package still needs refreshing.
> 
> I'll try to update it today. I guess I should have time for it.

Let me know if you change my --mtune=atom flag. (I need that Flag as I use some of this stuff on Atom hardware.)
Comment 17 Andrey Bondrov 2015-04-15 19:56:48 MSD
(In reply to comment #16)
> Let me know if you change my --mtune=atom flag.

Well, I don't use custom --mtune flag at all.

Now we have latest libretro snapshot with new emulation cores added:
- catsfc (Super Nintendo)
- emux-chip8 (CHIP-8)
- emux-gb (Game Boy / Game Boy Color)
- emux-nes (Nintendo)
- emux-sms (Sega Master System)
- fuse (ZX Spectrum)
- gpsp (Game Boy Advance)
- hatari (Atari ST)
- picodrive (Sega Mega Drive / Master System / CD / 32X / Pico)